/*
    GDAM - Geoff & Dave's Audio Mixer
    Copyright (C) 1999    Dave Benson, Geoff Matters.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

    Contact:
        daveb@ffem.org <Dave Benson>
        geoff@ugcs.caltech.edu <Geoff Matters>
*/
#ifndef __GDAM_SCANDIR_H_
#define __GDAM_SCANDIR_H_

#include <glib.h>

typedef gboolean (*GdamScandirCheckFunc)(const char*      dir_name,
                                         const char*      file_name,
					 gpointer         user_data);


GSList* gdam_scandir                (const char*           path,
                                     GdamScandirCheckFunc  is_valid,
		                     gpointer              user_data);

GSList* gdam_scandir_for_extension  (const char*           path,
                                     const char*           extension);
GSList* gdam_scandir_for_shared_libs(const char*           path);

#endif
