/*
    GDAM - Geoff & Dave's Audio Mixer
    Copyright (C) 1999    Dave Benson, Geoff Matters.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

    Contact:
        daveb@ffem.org <Dave Benson>
        geoff@ugcs.caltech.edu <Geoff Matters>
*/
#ifndef __MODEL_FILTER_BOUNCE_H_
#define __MODEL_FILTER_BOUNCE_H_

#include "gdamechobase.h"

GtkType gdam_bounce_get_type();
#define GDAM_TYPE_BOUNCE			(gdam_bounce_get_type ())
#define GDAM_BOUNCE(obj)			(GTK_CHECK_CAST ((obj), GDAM_TYPE_BOUNCE, GdamBounce))
#define GDAM_BOUNCE_CLASS(klass)		(GTK_CHECK_CLASS_CAST ((klass), GDAM_TYPE_BOUNCE, GdamBounceClass))
#define GDAM_IS_BOUNCE(obj)		(GTK_CHECK_TYPE ((obj), GDAM_TYPE_BOUNCE)
#define GDAM_IS_BOUNCE_CLASS(klass)	(GTK_CHECK_CLASS_TYPE ((klass), GDAM_TYPE_BOUNCE)

typedef struct _GdamBounce GdamBounce;
typedef struct _GdamBounceClass GdamBounceClass;

struct _GdamBounceClass
{
	GdamEchoBaseClass	echo_base_class;
};

struct _GdamBounce 
{
	GdamEchoBase		echo_base;
	/* Whether or not we are applying the bounce effect. */
	int     		bounced;
	float			beat_factor;
};

GdamBounce*	gdam_bounce_new		();
void		gdam_bounce_free	(GdamBounce*		bounce);

#endif
