/*
    GDAM - Geoff & Dave's Audio Mixer
    Copyright (C) 1999    Dave Benson, Geoff Matters.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

    Contact:
        daveb@ffem.org <Dave Benson>
        geoff@ugcs.caltech.edu <Geoff Matters>
*/
#ifndef __GDAM_BUFFER_MANAGER_SKIN_H_
#define __GDAM_BUFFER_MANAGER_SKIN_H_


typedef struct _GdamBufferManagerSkin GdamBufferManagerSkin;
typedef struct _GdamBufferManagerSkinClass GdamBufferManagerSkinClass;

#include "gdamskin.h"
#include <gtk/gtkentry.h>
#include <gtk/gtklabel.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

GtkType gdam_buffer_manager_skin_get_type();
#define GDAM_TYPE_BUFFER_MANAGER_SKIN			(gdam_buffer_manager_skin_get_type ())
#define GDAM_BUFFER_MANAGER_SKIN(obj)              (GTK_CHECK_CAST ((obj), GDAM_TYPE_BUFFER_MANAGER_SKIN, GdamBufferManagerSkin))
#define GDAM_BUFFER_MANAGER_SKIN_CLASS(klass)      (GTK_CHECK_CLASS_CAST ((klass), GDAM_TYPE_BUFFER_MANAGER_SKIN, GdamBufferManagerSkinClass))
#define GDAM_IS_BUFFER_MANAGER_SKIN(obj)           (GTK_CHECK_TYPE ((obj), GDAM_TYPE_BUFFER_MANAGER_SKIN))
#define GDAM_IS_BUFFER_MANAGER_SKIN_CLASS(klass)   (GTK_CHECK_CLASS_TYPE ((klass), GDAM_TYPE_BUFFER_MANAGER_SKIN))

struct _GdamBufferManagerSkinClass {
	GdamSkinClass		skin_class;
};
struct _GdamBufferManagerSkin {
	GdamSkin		skin;

	/* List of information about clists we're maintaining. */
	GSList*			clist_list;
	GtkEntry*		description_entry;
	GtkLabel*		id_label;
	GtkAdjustment*		bpm_adj;
	GtkAdjustment*		fb_adj;
	GtkAdjustment*		num_beats_adj;
};

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
