/*
    GDAM - Geoff & Dave's Audio Mixer
    Copyright (C) 1999    Dave Benson, Geoff Matters.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

    Contact:
        daveb@ffem.org <Dave Benson>
        geoff@ugcs.caltech.edu <Geoff Matters>
*/
#ifndef __GDAM_DEFAULT_FILE_H_
#define __GDAM_DEFAULT_FILE_H_

/*                    gdam_find_default_file
 *
 * Seek out a file in a list of defaults.
 *
 * Returns a copy that you have to `free'.
 */
char* gdam_default_file_find(const char* const* filelist);

/*                   gdam_default_file_tilde_expand
 *
 * A helper routine to do tilde expansion.
 * i.e. ~/foo                becomes $HOME/foo
 *      ~username/foo        becomes {homedir of username}/foo
 *
 * (where homedir of username is dictated by /etc/passwd generally).
 */
char* gdam_default_file_tilde_expand(const char* file);

#endif
