/*
    GDAM - Geoff & Dave's Audio Mixer
    Copyright (C) 1999    Dave Benson, Geoff Matters.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

    Contact:
        daveb@ffem.org <Dave Benson>
        geoff@ugcs.caltech.edu <Geoff Matters>
*/
#ifndef __GDAM_KEYBOARD_TRAP_H_
#define __GDAM_KEYBOARD_TRAP_H_


typedef struct _GdamKeyboardTrap GdamKeyboardTrap;
typedef struct _GdamKeyboardTrapClass GdamKeyboardTrapClass;

#include <gtk/gtkwidget.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

GtkType gdam_keyboard_trap_get_type();
#define GDAM_TYPE_KEYBOARD_TRAP			(gdam_keyboard_trap_get_type ())
#define GDAM_KEYBOARD_TRAP(obj)              (GTK_CHECK_CAST ((obj), GDAM_TYPE_KEYBOARD_TRAP, GdamKeyboardTrap))
#define GDAM_KEYBOARD_TRAP_CLASS(klass)      (GTK_CHECK_CLASS_CAST ((klass), GDAM_TYPE_KEYBOARD_TRAP, GdamKeyboardTrapClass))
#define GDAM_IS_KEYBOARD_TRAP(obj)           (GTK_CHECK_TYPE ((obj), GDAM_TYPE_KEYBOARD_TRAP))
#define GDAM_IS_KEYBOARD_TRAP_CLASS(klass)   (GTK_CHECK_CLASS_TYPE ((klass), GDAM_TYPE_KEYBOARD_TRAP))

typedef struct _GdamKeyboardTrapData GdamKeyboardTrapData;

struct _GdamKeyboardTrapClass {
	GtkObjectClass		object_class;

	void                  (*pressed) (GdamKeyboardTrap*  keyboard_trap);
	void                  (*released)(GdamKeyboardTrap*  keyboard_trap);
};
struct _GdamKeyboardTrap {
	GtkObject			object;
	GtkWidget*			widget;
	int				key;
	int				state;
};

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
