/*
    GDAM - Geoff & Dave's Audio Mixer
    Copyright (C) 1999    Dave Benson, Geoff Matters.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

    Contact:
        daveb@ffem.org <Dave Benson>
        geoff@ugcs.caltech.edu <Geoff Matters>
*/
#ifndef __GDAM_SKIN__PIX_WIDGETS_H_
#define __GDAM_SKIN__PIX_WIDGETS_H_

#include <gtk/gtkwidget.h>

/*  Glade create_func hooks and pixmap stuff for various pixmap-based
 *  widgets.  These can't go into the gtk widgets themselves, because
 *  they add dependencies on pixmapcache, gdamcursor etc.  */

#include "gtkbouncelabel.h"
#include "gtkpixbutton.h"
#include "gtkpixscrollbar.h"
#include "gtkpixsplitbar.h"
#include "gtkpixdial.h"

GtkWidget* gtk_bounce_label_create_func    (const char*   name,
                                            const char*   string1,
                                            const char*   string2,
                                            int           int1,
                                            int           int2);
GtkWidget* gtk_pix_button_create_func      (const char*   name,
                                            const char*   string1,
                                            const char*   string2,
                                            int           int1,
                                            int           int2);
GtkWidget* gtk_pix_scrollbar_create_func   (const char*   name,
                                            const char*   string1,
                                            const char*   string2,
                                            int           int1,
                                            int           int2);
GtkWidget* gtk_pix_splitbar_create_func    (const char*   name,
                                            const char*   string1,
                                            const char*   string2,
                                            int           int1,
                                            int           int2);
GtkWidget* gtk_pix_dial_create_func        (const char*   name,
                                            const char*   string1,
                                            const char*   string2,
                                            int           int1,
                                            int           int2);
void gtk_bounce_label_set_pixmaps_by_filename
                                           (GtkBounceLabel*  label,
                                            const char*      filename);
void gtk_pix_button_set_pixmaps_by_filename(GtkPixButton*    button,
                                            const char*      normal,
                                            const char*      active,
					    const char*      prelight,
					    const char*      selected);
void gtk_pix_scrollbar_set_pixmaps_by_filename
                                           (GtkPixScrollbar* pix_scrollbar,
                                            const char*      background,
                                            const char*      floater);
void gtk_pix_splitbar_set_pixmaps_by_filename
                                           (GtkPixSplitbar*  pix_splitbar,
                                            const char*      above,
                                            const char*      below);
void gtk_pix_dial_set_pixmap_by_filename   (GtkPixDial*      dial,
                                            const char*      image_filename);
#endif
